/**
 * Event Heap constants
 */
public class DanceEHUtils {

	/**
	 * Starts a continously playing background rhythm.
	 * Fields: Integer "rhythmId" to specify the id of rhythm
	 */
	public final static String EVENT_STARTRHYTHM = "START_RHYTHM";

	/**
	 * Stops any background rhythm.
	 */
	public final static String EVENT_STOPRHYTHM = "STOP_RHYTHM";
	/**
	 * Plays a key.
	 * Fields: Integer "keyId" to specify the id of the key
	 */
	public final static String EVENT_PLAYKEY = "PLAY_KEY";
	
	/**
	 * Plays a combo music tune
	 * Fields: Integer "comboId" to specify the id of the combo tune
	 */
	public final static String EVENT_PLAYCOMBO = "PLAY_COMBO";

	/**
	 * Plays a chord music tune
	 * Fields: Integer "chordId" to specify the id of the combo tune
	 */
	public final static String EVENT_PLAYCHORD = "PLAY_CHORD";

	/**
	 * Stops all key output
	 */
	public final static String EVENT_STOPKEY = "STOP_KEY";

}
