/**
 * This interface represents a way to react to dance mat events.
 */
public interface DanceOutput {
	
	
	/**
	 * Starts a rhythm
	 * @param rhythm Id of rhythm to start
	 */
	public void startRhythm(int rhythm);
	
	/**
	 * Stops the currently playing rhythm
	 */
	public void stopRhythm();
	
	/**
	 * Play a key
	 * @param key Id of the key
	 */
	public void playKey(int key);

	
	/**
	 * Play a combo
	 * @param combo Id of the combo
	 */
	public void playCombo(int combo);
	
	/**
	 * Play a chord
	 * @param chord Id of the chord
	 */
	public void playChord(int chord);
	
	/**
	 * stopKeys
	 * Stop all midi key output
	 * @param key Id of the key
	 */
	public void stopKey(int key);
}
