import iwork.eheap2.*;

/**
 * 
 * Implements a Dance output by sending Events through the Event Heap
 * 
 */
public class DanceOutputEH implements DanceOutput {

	EventHeap eh;
	

	
	
	DanceOutputEH() {
		eh = new EventHeap("localhost");
		
	}
	
	/* (non-Javadoc)
	 * @see DanceOutput#startRhythm(int)
	 */
	public void startRhythm(int rhythm) {
		Event e;
		try {
			e = new Event(DanceEHUtils.EVENT_STARTRHYTHM);
			e.addField("rhythmId", new Integer(rhythm));
			eh.putEvent(e);
		} catch (EventHeapException e1) {
			e1.printStackTrace();
		}
	}

	/* (non-Javadoc)
	 * @see DanceOutput#stopRhythm()
	 */
	public void stopRhythm() {
		Event e;
		try {
			e = new Event(DanceEHUtils.EVENT_STOPRHYTHM);
			eh.putEvent(e);
		} catch (EventHeapException e1) {
			e1.printStackTrace();
		}
	}

	/* (non-Javadoc)
	 * @see DanceOutput#playKey(int)
	 */
	public void playKey(int key) {
		Event e;
		try {
			e = new Event(DanceEHUtils.EVENT_PLAYKEY);
			e.addField("keyId", new Integer(key));
			eh.putEvent(e);
		} catch (EventHeapException e1) {
			e1.printStackTrace();
		}
	}

	/* (non-Javadoc)
	 * @see DanceOutput#playCombo(int)
	 */
	public void playCombo(int combo) {
		Event e;
		try {
			e = new Event(DanceEHUtils.EVENT_PLAYCOMBO);
			e.addField("comboId", new Integer(combo));
			eh.putEvent(e);
		} catch (EventHeapException e1) {
			e1.printStackTrace();
		}
		
	}

	/* (non-Javadoc)
	 * @see DanceOutput#playChord(int)
	 */
	public void playChord(int chord) {
		Event e;
		try {
			e = new Event(DanceEHUtils.EVENT_PLAYCHORD);
			e.addField("chordId", new Integer(chord));
			eh.putEvent(e);
		} catch (EventHeapException e1) {
			e1.printStackTrace();
		}
		
	}

	/* (non-Javadoc)
	 * @see DanceOutput#stopKeys()
	 */
	public void stopKey(int key) {
		Event e;
		try {
			e = new Event(DanceEHUtils.EVENT_STOPKEY);
			e.addField("keyId", new Integer(key));
			eh.putEvent(e);
		} catch (EventHeapException e1) {
			e1.printStackTrace();
		}
	}

}
