import javax.swing.JFrame;
import javax.swing.JPanel;

import com.cycling74.max.*;

/**
 * Implements sending of Dance events to Max
 */
public class DanceOutputMax extends MaxObject implements DanceOutput{

	
	/*
	 * Initializes the outlets and the Dance object
	 */
	public DanceOutputMax() {
		post("Initializing Dance mat object...");

		declareOutlets(new int[]{
				DataTypes.INT, // Rhythm to play
				DataTypes.INT, // Key to play
				DataTypes.INT, // Combo to play
				DataTypes.INT, // Chord to play
				DataTypes.INT}); // Key to stop
		
		// A window is needed to catch the keyboard events
		JFrame frame = new JFrame();
		JPanel panel = new JPanel();
		frame.getContentPane().add(panel);
		frame.pack();
		frame.setVisible(true);
		Dance dance = new Dance(this, frame);
		dance.run();
	}
	
	/* (non-Javadoc)
	 * @see DanceOutput#startRhythm(int)
	 */
	public void startRhythm(int rhythm) {
		outlet(0,rhythm);
		post("Playing rhythm " + rhythm);
		
	}

	/* (non-Javadoc)
	 * @see DanceOutput#stopRhythm()
	 */
	public void stopRhythm() {
		outlet(0,9);
		post("Stopping rhythm");
		
	}

	/* (non-Javadoc)
	 * @see DanceOutput#playKey(int)
	 */
	public void playKey(int key) {
		outlet(1,key);
		post("Playing key " + key);
		// Send a 0 to close the switch on the MAX patch
		outlet(1,0);

	}

	/* (non-Javadoc)
	 * @see DanceOutput#playCombo(int)
	 */
	public void playCombo(int combo) {
		outlet(2, combo);
		post("Playing combo " + combo);
	}

	/* (non-Javadoc)
	 * @see DanceOutput#playCombo(int)
	 */
	public void playChord(int chord) {
		outlet(3, chord);
		post("Playing chord " + chord);
		// Send a 0 to close the switch on the MAX patch
		outlet(3,0);
	}

	/* (non-Javadoc)
	 * @see DanceOutput#stopKeys()
	 */
	public void stopKey(int key) {
		outlet(4, key);
		post("Stopping key" + key);
		// Send a 0 to close the switch on the MAX patch
		outlet(4, 0);
	}
	

}
